### Method

# Gio TlsPassword set_value_full

since: 2.30

#### Declaration [src]

    void
    g_tls_password_set_value_full (
      GTlsPassword* password,
      guchar* value,
      gssize length,
      GDestroyNotify destroy
    )

#### Description [src]

Provide the value for this password.

The `value` will be owned by the password object, and later freed using the `destroy` function callback.

Specify the `length`, for a non-nul-terminated password. Pass -1 as `length` if using a nul-terminated password, and `length` will be calculated automatically. (Note that the terminating nul is not considered part of the password in this case.).

Available since: 2.30

#### Parameters

`value`

  Type: An array of `guchar`

  The value for the password.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gssize`

  The length of the password, or -1.

`destroy`

  Type: `GDestroyNotify`

  A function to use to free the password.

  The argument can be `NULL`.